Initiate an OAuth2 authorization code flow
Query Parameters
client_id*string
The client ID of the registered OAuth2 application.
Format
uuidredirect_uri*string
The URI to redirect to after authorization. Must match a registered redirect URI for the application.
Format
uriresponse_type*string
Must be 'code' for authorization code flow.
Value in
"code"state?string
An opaque value used to prevent CSRF attacks. Returned unchanged in the redirect.
scope?string
Optional scope to request.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.verdocs.com/v2/oauth2/authorize?client_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&redirect_uri=http%3A%2F%2Fexample.com&response_type=code"{}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}